--- a/Makerules
+++ b/Makerules
@@ -161,11 +161,11 @@ ifeq ($(OS),MINGW)
 else ifeq ($(OS),MACOS)
   HAVE_GLUT := yes
   SYS_GLUT_CFLAGS := -Wno-deprecated-declarations
-  SYS_GLUT_LIBS := -framework GLUT -framework OpenGL
-  CC = xcrun cc
-  AR = xcrun ar
-  LD = xcrun ld
-  RANLIB = xcrun ranlib
+  SYS_GLUT_LIBS ?= -framework GLUT -framework OpenGL
+  CC ?= xcrun cc
+  AR ?= xcrun ar
+  LD ?= xcrun ld
+  RANLIB ?= xcrun ranlib
 
   ifneq ($(ARCHFLAGS),)
     $(warning "MacOS with ARCHFLAGS set. Assuming we are building for arm64, and setting HAVE_LIBCRYPTO to no.")
@@ -180,15 +180,7 @@ else ifeq ($(OS),MACOS)
     endif
   endif
 
-else ifeq ($(OS),Linux)
-  ifeq ($(PYODIDE_ROOT),)
-    HAVE_OBJCOPY := yes
-  else
-    # Pyodide's ld does not support -b so we cannot use it to create object
-    # files containing font data, so leave HAVE_OBJCOPY unset. And we need
-    # extra memory when linking.
-    LDFLAGS += -sTOTAL_MEMORY=48MB
-  endif
+endif
 
   ifeq ($(shell pkg-config --exists freetype2 && echo yes),yes)
 	SYS_FREETYPE_CFLAGS := $(shell pkg-config --cflags freetype2)
@@ -263,8 +255,6 @@ else ifeq ($(OS),Linux)
 	PTHREAD_LIBS := -lpthread
   endif
 
-endif
-
 # The following section has various cross compilation configurations.
 #
 # Invoke these as:
